# Minimum audacious/audacious-plugins version in inter-package
# dependencies. We need 2.4 for both.
%define aud_ver 2.4

%define plugindir %(pkg-config audacious --variable=input_plugin_dir)

Summary: Future Composer input plugin for Audacious
Name: audacious-plugin-fc
Version: 0.5.1
Release: 4%{?dist}
URL: http://xmms-fc.sourceforge.net/
License: GPLv2+
Source:	http://downloads.sourceforge.net/xmms-fc/audacious-plugin-fc-%{version}.tar.bz2
Patch0: audacious-plugin-fc-0.5.1-plugin-api16.patch
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: audacious-devel >= %{aud_ver}
BuildRequires: libfc14audiodecoder-devel
BuildRequires: pkgconfig

Provides: audacious-plugins-fc = %{version}-%{release}
Requires: audacious >= %{aud_ver}


%description
This is an input plugin for Audacious which can play back Future Composer
music files from AMIGA. Song-length detection and seek are implemented, too.


%prep
%setup -q
%patch0 -p1 -b .api16


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{plugindir}/fcdecoder.so
%exclude %{plugindir}/fcdecoder.la


%changelog
* Fri Jul 23 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.5.1-4
- Larger patch, also to remove deprecated API usage.

* Wed Jul 21 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.5.1-3
- Patch and rebuild for Audacious 2.4 beta1 generic plugin API/ABI bump.

* Thu Jul 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.5.1-2
- Rebuild for Audacious 2.4 alpha3 generic plugin API/ABI bump.

* Sun Jul 11 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1 (should fix big-endian platforms).

* Sat Jul 10 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.5-2
- Display "4 channels".

* Sun Jun 20 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.5-1
- Upgrade to 0.5 for libfc14audiodecoder.

* Sat Jun 12 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4-4
- Patch for Audacious 2.4 API changes.

* Sun Jan 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4-3
- Rebuild for audacious.pc --libs changes.

* Sat Oct 24 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4-2
- Set empty/unknown initial songtime instead of 0:00.

* Fri Oct 23 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.4-1
- Upgrade to 0.4 for Audacious 2.2 InputPlugin API changes.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun  7 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3-4
- Patch for Audacious 2.

* Fri Jun  5 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3-3
- Rebuild for libmowgli SONAME dependency.
- Add audacious-plugins-fc Provides.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 16 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3-1
- Update to 0.3 for Audacious >= 1.4.0.

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-7
- in %%build add work-around for #454364 (libSAD API headers are broken)

* Fri Feb 08 2008 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Wed Nov 21 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-5
- patch for new API
- rebuilt for SONAME changes in Audacious 1.4.x

* Tue Aug 21 2007 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Thu Aug  2 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-2
- clarify licence (GPLv2+)

* Thu Mar  8 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2-1
- Upstream update to 0.2 for Audacious >= 1.3.0.

* Thu Jan 18 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1-2
- Initial package submission for Fedora Package Review (#222648).
